Index: smmp.pyf
===================================================================
--- smmp.pyf	(revision 8d0e6d6b0d1007b411efbb816ee34bd6081f8aab)
+++ smmp.pyf	(revision ffd2d46888ff96b67701d9b306ce4aac68b5bd99)
@@ -5690,68 +6271,68 @@
                 real*8 intent(in) :: binwidth
                 logical intent(in) :: restart
-                real*8 :: vdvol
-                real*8 :: asa
-                real*8 :: asap
-                real*8 :: asah
-                real*8 dimension(2600) :: cgat
-                real*8 dimension(2600) :: xbaat
-                real*8 dimension(2600) :: ybaat
-                real*8 dimension(2600) :: zbaat
-                real*8 dimension(2600) :: baat
-                real*8 dimension(2600) :: snbaat
-                real*8 dimension(2600) :: csbaat
-                real*8 dimension(2600) :: xtoat
-                real*8 dimension(2600) :: ytoat
-                real*8 dimension(2600) :: ztoat
-                real*8 dimension(2600) :: toat
-                real*8 dimension(2600) :: sntoat
-                real*8 dimension(2600) :: cstoat
-                real*8 dimension(2600) :: blat
-                real*8 dimension(2602) :: xat
-                real*8 dimension(2602) :: yat
-                real*8 dimension(2602) :: zat
-                integer*4 dimension(100,100) :: ijcont
-                integer*4 dimension(100) :: ind_alf
+                double precision :: vdvol
+                double precision :: asa
+                double precision :: asap
+                double precision :: asah
+                integer dimension(2600) :: cgat
+                double precision dimension(2600) :: xbaat
+                double precision dimension(2600) :: ybaat
+                double precision dimension(2600) :: zbaat
+                double precision dimension(2600) :: baat
+                double precision dimension(2600) :: snbaat
+                double precision dimension(2600) :: csbaat
+                double precision dimension(2600) :: xtoat
+                double precision dimension(2600) :: ytoat
+                double precision dimension(2600) :: ztoat
+                double precision dimension(2600) :: toat
+                double precision dimension(2600) :: sntoat
+                double precision dimension(2600) :: cstoat
+                double precision dimension(2600) :: blat
+                double precision dimension(2602) :: xat
+                double precision dimension(2602) :: yat
+                double precision dimension(2602) :: zat
+                integer dimension(100,100) :: ijcont
+                integer dimension(100) :: ind_alf
                 logical dimension(18) :: do_s
                 logical dimension(18) :: ac_s
                 character dimension(500,4) :: nmrt
                 character dimension(1000,3) :: nmvrrt
-                integer*4 :: nvr
-                real*8 dimension(9,18) :: coef_sl
-                real*8 dimension(9,18) :: rad_vdw
-                real*8 dimension(100) :: surfres
-                integer*4 :: ntyhb
-                integer*4 dimension(100) :: ixtyhb
-                integer*4 dimension(100) :: nutyhb
-                integer*4 dimension(10,10) :: mmhb
-                character dimension(4,2600) :: nmat
-                integer*4 :: lunlib
-                integer*4 :: lunseq
-                integer*4 :: lunchg
-                integer*4 :: lunvar
-                integer*4 :: lunrst
+                integer :: nvr
+                double precision dimension(9,18) :: coef_sl
+                double precision dimension(9,18) :: rad_vdw
+                double precision dimension(100) :: surfres
+                integer :: ntyhb
+                integer dimension(100) :: ixtyhb
+                integer dimension(100) :: nutyhb
+                integer dimension(10,10) :: mmhb
+                character dimension(2600,4) :: nmat
+                integer :: lunlib
+                integer :: lunseq
+                integer :: lunchg
+                integer :: lunvar
+                integer :: lunrst
                 logical dimension(800) :: isrfvr
-                real*8 dimension(500) :: pbrt
-                real*8 dimension(1000) :: vuvrrt
-                real*8 dimension(1000) :: dvvrrt
-                integer*4 dimension(2600) :: ityat
-                integer*4 dimension(2600) :: iowat
-                integer*4 dimension(2600) :: iyowat
-                integer*4 dimension(2600) :: nbdat
-                integer*4 dimension(3,2600) :: ibdat
-                integer*4 dimension(3,2600) :: iybdat
-                integer*4 dimension(2600) :: ixmsat
-                real*8 :: ehm
-                real*8 dimension(18) :: atpl
-                real*8 dimension(18) :: efel
-                real*8 dimension(18) :: emin
-                real*8 dimension(18) :: rmin
-                real*8 dimension(4,6) :: chb_s
-                real*8 dimension(4,6) :: ahb_s
-                real*8 dimension(19) :: e0to_s
-                real*8 dimension(19) :: sgto_s
-                real*8 dimension(19) :: rnto_s
-                real*8 :: eps_s
-                real*8 dimension(2000,3) :: spoint
+                double precision dimension(500) :: pbrt
+                double precision dimension(1000) :: vuvrrt
+                double precision dimension(1000) :: dvvrrt
+                integer dimension(2600) :: ityat
+                integer dimension(2600) :: iowat
+                integer dimension(2600) :: iyowat
+                integer dimension(2600) :: nbdat
+                integer dimension(3,2600) :: ibdat
+                integer dimension(3,2600) :: iybdat
+                integer dimension(2600) :: ixmsat
+                double precision :: ehm
+                double precision dimension(18) :: atpl
+                double precision dimension(18) :: efel
+                double precision dimension(18) :: emin
+                double precision dimension(18) :: rmin
+                double precision dimension(4,6) :: chb_s
+                double precision dimension(4,6) :: ahb_s
+                double precision dimension(19) :: e0to_s
+                double precision dimension(19) :: sgto_s
+                double precision dimension(19) :: rnto_s
+                double precision :: eps_s
+                double precision dimension(2000,3) :: spoint
                 logical dimension(18) :: do_f
                 logical dimension(18) :: ac_f
@@ -5761,33 +6342,33 @@
                 character*80 :: varfil
                 character*80 :: rstfil
-                integer*4 :: ntlml
-                integer*4 dimension(10) :: irsml1
-                integer*4 dimension(10) :: irsml2
-                integer*4 dimension(10) :: ivrml1
-                integer*4 dimension(10) :: nvrml
-                integer*4 dimension(10) :: imsml1
-                integer*4 dimension(10) :: nmsml
-                integer*4 dimension(10) :: iadml1
-                integer*4 dimension(10) :: nadml
-                integer*4 dimension(3,10) :: ixrfpt
-                integer*4 dimension(2600) :: ixatp
-                integer*4 :: ireg
-                real*8 dimension(100) :: blath
-                real*8 dimension(100) :: baath
-                real*8 dimension(100) :: toath
-                real*8 dimension(100) :: cgath
-                integer*4 dimension(100,100) :: iref
-                integer*4 :: nci
+                integer :: ntlml
+                integer dimension(10) :: irsml1
+                integer dimension(10) :: irsml2
+                integer dimension(10) :: ivrml1
+                integer dimension(10) :: nvrml
+                integer dimension(10) :: imsml1
+                integer dimension(10) :: nmsml
+                integer dimension(10) :: iadml1
+                integer dimension(10) :: nadml
+                integer dimension(3,10) :: ixrfpt
+                integer dimension(2600) :: ixatp
+                integer :: ireg
+                double precision dimension(100) :: blath
+                double precision dimension(100) :: baath
+                double precision dimension(100) :: toath
+                double precision dimension(100) :: cgath
+                integer dimension(100,100) :: iref
+                integer :: nci
                 logical :: flex
                 logical :: tesgrd
                 logical :: sh2
                 logical :: epsd
-                integer*4 :: ientyp
-                real*8 :: rgyh
-                real*8 :: rgyp
-                integer*4 :: idloa
-                integer*4 :: idloz
-                integer*4 :: idupa
-                integer*4 :: idupz
+                integer :: ientyp
+                double precision :: rgyh
+                double precision :: rgyp
+                integer :: idloa
+                integer :: idloz
+                integer :: idupa
+                integer :: idupz
                 integer :: myrank
                 integer :: no
@@ -5796,94 +6377,94 @@
                 character dimension(100,4) :: nmath
                 character dimension(100,3) :: nmvrh
-                integer*4 dimension(100) :: ityath
-                integer*4 dimension(100) :: iowath
-                integer*4 dimension(100) :: iyowath
-                integer*4 dimension(100) :: nbdath
-                integer*4 dimension(3,100) :: ibdath
-                integer*4 dimension(3,100) :: iybdath
-                integer*4 dimension(100) :: ityvrh
-                integer*4 dimension(100) :: iclvrh
-                integer*4 dimension(100) :: iatvrh
+                integer dimension(100) :: ityath
+                integer dimension(100) :: iowath
+                integer dimension(100) :: iyowath
+                integer dimension(100) :: nbdath
+                integer dimension(3,100) :: ibdath
+                integer dimension(3,100) :: iybdath
+                integer dimension(100) :: ityvrh
+                integer dimension(100) :: iclvrh
+                integer dimension(100) :: iatvrh
                 character dimension(100,4) :: seq
-                real*8 dimension(2600) :: rvdw
-                real*8 dimension(2600) :: sigma
-                real*8 dimension(2600,3) :: gradan
-                integer*4 dimension(18,18) :: ihbty
-                integer*4 :: npnt
+                double precision dimension(2600) :: rvdw
+                double precision dimension(2600) :: sigma
+                double precision dimension(2600,3) :: gradan
+                integer dimension(18,18) :: ihbty
+                integer :: npnt
                 character dimension(10,80) :: nmml
-                real*8 dimension(18,18) :: cij
-                real*8 dimension(18,18) :: aij
-                real*8 dimension(18,18) :: a14
-                real*8 dimension(18,18) :: chb
-                real*8 dimension(18,18) :: ahb
-                real*8 dimension(19) :: e0to
-                real*8 dimension(19) :: sgto
-                real*8 dimension(19) :: rnto
-                real*8 dimension(19) :: esnto
-                real*8 :: conv
-                real*8 :: plt
-                real*8 :: slp
-                real*8 :: cohb
-                integer*4 dimension(100) :: iatrs1
-                integer*4 dimension(100) :: iatrs2
-                integer*4 dimension(100) :: ixatrs
-                integer*4 dimension(100) :: ivrrs1
-                integer*4 dimension(100) :: nvrrs
-                integer*4 :: ntlrt
-                integer*4 :: ntlsu
-                integer*4 dimension(500) :: i1vrrt
-                integer*4 dimension(500) :: i2vrrt
-                integer*4 dimension(4800) :: iprtsu
-                integer*4 dimension(800) :: i1rtsu
-                integer*4 dimension(800) :: nrtsu
-                integer*4 dimension(800) :: i1vrsu
-                integer*4 dimension(800) :: i2vrsu
-                integer*4 dimension(800) :: ipvrsu
-                real*8 dimension(3,10) :: rfpt
-                real*8 dimension(6,10) :: gbpr
-                real*8 dimension(3,10) :: xrfax
-                real*8 dimension(3,10) :: yrfax
-                real*8 dimension(3,10) :: zrfax
+                double precision dimension(18,18) :: cij
+                double precision dimension(18,18) :: aij
+                double precision dimension(18,18) :: a14
+                double precision dimension(18,18) :: chb
+                double precision dimension(18,18) :: ahb
+                double precision dimension(19) :: e0to
+                double precision dimension(19) :: sgto
+                double precision dimension(19) :: rnto
+                double precision dimension(19) :: esnto
+                double precision :: conv
+                double precision :: plt
+                double precision :: slp
+                double precision :: cohb
+                integer dimension(100) :: iatrs1
+                integer dimension(100) :: iatrs2
+                integer dimension(100) :: ixatrs
+                integer dimension(100) :: ivrrs1
+                integer dimension(100) :: nvrrs
+                integer :: ntlrt
+                integer :: ntlsu
+                integer dimension(500) :: i1vrrt
+                integer dimension(500) :: i2vrrt
+                integer dimension(4800) :: iprtsu
+                integer dimension(800) :: i1rtsu
+                integer dimension(800) :: nrtsu
+                integer dimension(800) :: i1vrsu
+                integer dimension(800) :: i2vrsu
+                integer dimension(800) :: ipvrsu
+                double precision dimension(3,10) :: rfpt
+                double precision dimension(6,10) :: gbpr
+                double precision dimension(3,10) :: xrfax
+                double precision dimension(3,10) :: yrfax
+                double precision dimension(3,10) :: zrfax
                 logical dimension(800) :: fxvr
-                real*8 :: eyel
-                real*8 :: eyvw
-                real*8 :: eyhb
-                real*8 :: eyvr
-                real*8 :: eysm
-                real*8 :: eysl
-                real*8 :: eyrg
-                real*8 :: eyslh
-                real*8 :: eyslp
-                real*8 :: eyab
-                real*8 :: eysmi
-                real*8 :: eyhbi
-                real*8 :: eyeli
-                real*8 :: eyvwi
-                real*8 dimension(800) :: gdeyvr
-                real*8 dimension(800) :: gdeyrg
-                real*8 dimension(800) :: gdeysl
-                real*8 dimension(60) :: gdeygb
-                real*8 :: wtey
-                real*8 :: wtrg
-                integer*4 dimension(800) :: iatvr
-                integer*4 dimension(800) :: ityvr
-                integer*4 dimension(800) :: iclvr
-                integer*4 dimension(800) :: iorvr
-                integer*4 dimension(800) :: imsvr1
-                integer*4 dimension(800) :: imsvr2
-                integer*4 dimension(2400) :: latms1
-                integer*4 dimension(2400) :: latms2
-                integer*4 dimension(800) :: iadvr1
-                integer*4 dimension(800) :: iadvr2
-                integer*4 dimension(800) :: ladvr
-                integer*4 dimension(800) :: idvr
+                double precision :: eyel
+                double precision :: eyvw
+                double precision :: eyhb
+                double precision :: eyvr
+                double precision :: eysm
+                double precision :: eysl
+                double precision :: eyrg
+                double precision :: eyslh
+                double precision :: eyslp
+                double precision :: eyab
+                double precision :: eysmi
+                double precision :: eyhbi
+                double precision :: eyeli
+                double precision :: eyvwi
+                double precision dimension(800) :: gdeyvr
+                double precision dimension(800) :: gdeyrg
+                double precision dimension(800) :: gdeysl
+                double precision dimension(60) :: gdeygb
+                double precision :: wtey
+                double precision :: wtrg
+                integer dimension(800) :: iatvr
+                integer dimension(800) :: ityvr
+                integer dimension(800) :: iclvr
+                integer dimension(800) :: iorvr
+                integer dimension(800) :: imsvr1
+                integer dimension(800) :: imsvr2
+                integer dimension(2400) :: latms1
+                integer dimension(2400) :: latms2
+                integer dimension(800) :: iadvr1
+                integer dimension(800) :: iadvr2
+                integer dimension(800) :: ladvr
+                integer dimension(800) :: idvr
                 integer :: enysolct
-                character dimension(3,800) :: nmvr
-                real*8 :: boxsize
+                character dimension(800,3) :: nmvr
+                double precision :: boxsize
                 integer :: seed
-                character*100 :: zimm
-                integer*4 :: itysol
+                character*mxrs :: zimm
+                integer :: itysol
                 logical :: isolscl
-                real*8 dimension(100) :: rsstrg
+                double precision dimension(100) :: rsstrg
                 character dimension(35,4) :: rsnmcd
                 character dimension(35) :: onltcd
@@ -5891,31 +6472,31 @@
                 integer :: upchswitch
                 double precision :: bgsprob
-                integer*4 dimension(10) :: nvwml
-                integer*4 dimension(10) :: ivwml1
-                integer*4 dimension(10) :: n14ml
-                integer*4 dimension(10) :: i14ml1
-                integer*4 dimension(2600) :: ivwat1
-                integer*4 dimension(2600) :: ivwat2
-                integer*4 dimension(2600) :: i14at1
-                integer*4 dimension(2600) :: i14at2
-                integer*4 dimension(10400) :: lvwat1
-                integer*4 dimension(10400) :: lvwat2
-                integer*4 dimension(10400) :: l14at
-                integer*4 dimension(10400) :: ixatvw
-                integer*4 dimension(10400) :: ixat14
-                real*8 dimension(800) :: olvlvr
-                real*8 dimension(800) :: vlvr
-                real*8 dimension(800) :: axvr
-                real*8 :: beta
-                real*8 dimension(18,18) :: c_f
-                real*8 dimension(18,18) :: a_f
-                real*8 dimension(4,6) :: chb_f
-                real*8 dimension(4,6) :: ahb_f
-                real*8 dimension(19) :: e0to_f
-                real*8 dimension(19) :: sgto_f
-                real*8 dimension(19) :: rnto_f
-                real*8 :: plt_f
-                real*8 :: slp_f
-                real*8 :: cohb_f
+                integer dimension(10) :: nvwml
+                integer dimension(10) :: ivwml1
+                integer dimension(10) :: n14ml
+                integer dimension(10) :: i14ml1
+                integer dimension(2600) :: ivwat1
+                integer dimension(2600) :: ivwat2
+                integer dimension(2600) :: i14at1
+                integer dimension(2600) :: i14at2
+                integer dimension(10400) :: lvwat1
+                integer dimension(10400) :: lvwat2
+                integer dimension(10400) :: l14at
+                integer dimension(10400) :: ixatvw
+                integer dimension(10400) :: ixat14
+                double precision dimension(800) :: olvlvr
+                double precision dimension(800) :: vlvr
+                double precision dimension(800) :: axvr
+                double precision :: beta
+                double precision dimension(18,18) :: c_f
+                double precision dimension(18,18) :: a_f
+                double precision dimension(4,6) :: chb_f
+                double precision dimension(4,6) :: ahb_f
+                double precision dimension(19) :: e0to_f
+                double precision dimension(19) :: sgto_f
+                double precision dimension(19) :: rnto_f
+                double precision :: plt_f
+                double precision :: slp_f
+                double precision :: cohb_f
                 common /v_sol/ vdvol,asa,asap,asah
                 common /atm_r/ cgat,xbaat,ybaat,zbaat,baat,snbaat,csbaat,xtoat,ytoat,ztoat,toat,sntoat,cstoat,blat,xat,yat,zat
@@ -5976,4 +6557,4 @@
 end python module smmp
 
-! This file was auto-generated with f2py (version:2_3816).
+! This file was auto-generated with f2py (version:2_5585).
 ! See http://cens.ioc.ee/projects/f2py2e/
